//
// Virtual Trackball based on Quaternions
//
// Reto Ltolf,1999,2001.
// E-mail: luetolf@inf.ethz.ch
// URL: http://graphics.ethz.ch/
//


#ifndef _trackball_h_
#define _trackball_h_


//includes
#include <stdlib.h>
#include <math.h>
#include "GL/glut.h"


//defines
#define TB_TRACKBALL_RADIUS 4.0


//functions
void TB_init(GLuint button);
void TB_animate(GLboolean animate);
void TB_mouse(int button, int state, int x, int y);
void TB_motion(int x, int y);
void TB_reshape(int w, int h);
void TB_matrix(void);


#endif
